Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.profile.management
Interface GroupProfileMBean

    public interface GroupProfileMBean

MBean for wli group profile management.

Method Summary
`void` | `deleteGroupProfile(String groupid)` Removes this group information from the WLI database
`String` | `getGroupCalendarId(String groupid)` Retrieve the calendar id for this group
`String` | `getGroupEmail(String groupid)` Retrieve the email address for this group.
`void` | `syncGroups()` Removes all profiles for groups that do not exist in WLS
`void` | `unsetGroupCalendar(String groupid)` Unsets the calendar for this group.
`void` | `updateGroupCalendar(String groupid, String calendarId)` Sets the calendar for this group.
`void` | `updateGroupEmail(String groupid, String email)` Sets the email address for this group.

Method Detail

### updateGroupEmail

    void updateGroupEmail(String groupid,
                          String email)
                          throws MBeanException

  Sets the email address for this group. A group record is created if it does not exist in the WLI database. Exception is thrown if the group is not a valid WLS group.

  Parameters:
    `groupid` -
    `email` -
  Throws:
    `MBeanException`

### getGroupEmail

    String getGroupEmail(String groupid)
                         throws MBeanException

  Retrieve the email address for this group.

  Parameters:
    `groupid` -
  Returns:
    The email address of the group or null if there is no email address is found.
  Throws:
    `MBeanException`

### updateGroupCalendar

    void updateGroupCalendar(String groupid,
                             String calendarId)
                             throws MBeanException

  Sets the calendar for this group. A group record is created if it does not exist in the WLI database. Exception is thrown if the calendar does not exist or the group is not a valid WLS group.

  Parameters:
    `groupid` -
    `calendarId` -
  Throws:
    `MBeanException`

### unsetGroupCalendar

    void unsetGroupCalendar(String groupid)
                            throws MBeanException

  Unsets the calendar for this group.

  Parameters:
    `groupid` -
  Throws:
    `MBeanException`

### getGroupCalendarId

    String getGroupCalendarId(String groupid)
                              throws MBeanException

  Retrieve the calendar id for this group

  Parameters:
    `groupid` -
  Returns:
    The calendar id for the group or null if there is no calendar.
  Throws:
    `MBeanException`

### deleteGroupProfile

    void deleteGroupProfile(String groupid)
                            throws MBeanException

  Removes this group information from the WLI database

  Parameters:
    `groupid` -
  Throws:
    `MBeanException`

### syncGroups

    void syncGroups()
                    throws MBeanException

  Removes all profiles for groups that do not exist in WLS

  Throws:
    `MBeanException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD